javax.swing.text.html

## Class HTMLDocument.HTMLReader.ParagraphAction

- java.lang.Object
- - javax.swing.text.html.HTMLDocument.HTMLReader.TagAction
  - - javax.swing.text.html.HTMLDocument.HTMLReader.BlockAction
    - - javax.swing.text.html.HTMLDocument.HTMLReader.ParagraphAction

Enclosing class:
  HTMLDocument.HTMLReader

    public class HTMLDocument.HTMLReader.ParagraphAction
    extends HTMLDocument.HTMLReader.BlockAction

### Constructor Summary

Constructors
Constructor and Description
`HTMLDocument.HTMLReader.ParagraphAction()`

### Method Summary

Methods
`void` `end(HTML.Tag t)` Called when an end tag is seen for the type of tag this action was registered to.
`void` `start(HTML.Tag t, MutableAttributeSet a)` Called when a start tag is seen for the type of tag this action was registered to.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HTMLDocument.HTMLReader.ParagraphAction

    public HTMLDocument.HTMLReader.ParagraphAction()

### Method Detail

#### start

    public void start(HTML.Tag t,
             MutableAttributeSet a)

Description copied from class: `HTMLDocument.HTMLReader.TagAction`
Called when a start tag is seen for the type of tag this action was registered to. The tag argument indicates the actual tag for those actions that are shared across many tags. By default this does nothing and completely ignores the tag.

Overrides:
  `start` in class `HTMLDocument.HTMLReader.BlockAction`

#### end

    public void end(HTML.Tag t)

Description copied from class: `HTMLDocument.HTMLReader.TagAction`
Called when an end tag is seen for the type of tag this action was registered to. The tag argument indicates the actual tag for those actions that are shared across many tags. By default this does nothing and completely ignores the tag.

Overrides:
  `end` in class `HTMLDocument.HTMLReader.BlockAction`

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.